﻿webservices.factory('vatWorkflowService', ['$http', 'apiConfig', 'enums', function ($http, apiConfig, enums) {
    'use strict';
    return {
        sample: function () {
            return $http.get('url', apiConfig.createVat());
        },

        setProcessLog: function (status,dbName, periodId, dictKey, isFinished) {

            return $http.get('/Workflow/setProcessLog/' + status + '/' + dbName + '/' + periodId + '/' + dictKey + '/' + isFinished, apiConfig.createVat());
        },
        setWorkflowNodeLog: function (status, dbName, periodId, dictKey, isFinished) {

            return $http.get('/Workflow/setProcessLog/' + status + '/' + dbName + '/' + periodId + '/' + dictKey + '/' + isFinished, apiConfig.createVat());
        },


        //添加TaxAdmin.WorkflowApproveReportLog和项目数据下的OperationLog表的数据
        addApproveReportLog: function (approveLog) {
            return $http.post('/Workflow/addApproveReportLog/', approveLog, apiConfig.createVat());
        },

        getWorkflowDetailByDb: function (dbName, periodId) {
            return $http.get('/Workflow/getWorkflowDetailByDb/' + dbName + '/' + periodId, apiConfig.createVat());
        },

        execute: function () {
            return $http.get('/WorkflowMessageJob/execute',apiConfig.createVat());
        },

        addExceptionMessage: function(exMsg){
            return $http.post('/WorkflowMessageJob/addExceptionMessage/',exMsg, apiConfig.createVat());
        },

        addErpImportExceptionMessage: function (dbName, periodId, erpValidationTypeId) {
            return $http.get('/WorkflowMessageJob/addErpImportExceptionMessage/' + dbName + "/" + periodId + '/' + erpValidationTypeId, apiConfig.createVat());
        },

        addApproveMessage: function (approveMsg) {
            return $http.post('/WorkflowMessageJob/addApproveMessage/', approveMsg, apiConfig.createVat());
        },

        getWorkflowApproveReportLog: function (dbName, period, orderIndex,operationTypeId,templateCode){
            return $http.get('/Workflow/getWorkflowApproveReportLog/' + dbName + "/" + period + '/' + orderIndex + '/' + operationTypeId + '/' + templateCode, apiConfig.createVat());
        },

        getWorkflowApproveReportLogNoLevel: function (dbName, period, operationTypeId, templateCode) {
            return $http.get('/Workflow/getWorkflowApproveReportLogNoLevel/' + dbName + "/" + period + '/' + operationTypeId + '/' + templateCode, apiConfig.createVat());
        },

        isExistApproveLogSubmitItem: function (dbName, period, orderIndex, operationTypeId, templateCode) {
            return $http.get('/Workflow/isExistApproveLogSubmitItem/' + dbName + "/" + period + '/' + orderIndex + '/' + operationTypeId + '/' + templateCode, apiConfig.createVat());
        }
    };
}]);